Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.web.action
Class AbstractLogAction

    java.lang.Object
      net.sourceforge.pebble.web.action.Action
          net.sourceforge.pebble.web.action.SecureAction
              net.sourceforge.pebble.web.action.AbstractLogAction

Direct Known Subclasses:
  ViewCountriesAction, ViewLogAction, ViewReferersAction, ViewRequestsAction, ViewRequestsByHourAction, ViewRequestsByTypeAction, ViewUserAgentsAction

    public abstract class AbstractLogAction

extends SecureAction

Superclass for all log related actions.

Author:
  Simon Brown

Constructor Summary
`AbstractLogAction()`

Method Summary
`protected Log` | `getLog(HttpServletRequest request, HttpServletResponse response)`
`protected java.lang.String` | `getLogFile(HttpServletRequest request, HttpServletResponse response)`
`java.lang.String[]` | `getRoles(HttpServletRequest request)` Gets a list of all roles that are allowed to access this action.

Methods inherited from class net.sourceforge.pebble.web.action.Action
`getModel, process, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLogAction

    public AbstractLogAction()

Method Detail

### getLog

    protected Log getLog(HttpServletRequest request,
                         HttpServletResponse response)
                  throws ServletException

  Throws:
    `ServletException`

### getLogFile

    protected java.lang.String getLogFile(HttpServletRequest request,
                                          HttpServletResponse response)
                                   throws ServletException

  Throws:
    `ServletException`

### getRoles

    public java.lang.String[] getRoles(HttpServletRequest request)

  Gets a list of all roles that are allowed to access this action.

  Specified by:
    `getRoles` in class `SecureAction`
  Parameters:
    `request` -
  Returns:
    an array of Strings representing role names

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.